| Home | Libraries | People | FAQ | More

##### posix::basic_descriptor::basic_descriptor (1 of 2 overloads)

Construct a `posix::basic_descriptor` without opening it.

    basic_descriptor(
        boost::asio::io_service & io_service);

This constructor creates a descriptor without opening it.

###### Parameters

io_service

  The `io_service` object that the descriptor will use to dispatch handlers for any asynchronous operations performed on the descriptor.